IsPropertyFalse (Ant Contrib)
Keywords: net.sf.antcontrib.logic.condition.IsPropertyFalse,IsPropertyFalse class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.antcontrib.logic.condition
Class IsPropertyFalse

    java.lang.Object
      |
      +--org.apache.tools.ant.ProjectComponent
            |
            +--org.apache.tools.ant.taskdefs.condition.IsFalse
                  |
                  +--net.sf.antcontrib.logic.condition.IsPropertyFalse

All Implemented Interfaces:
  org.apache.tools.ant.taskdefs.condition.Condition

public class IsPropertyFalse
extends org.apache.tools.ant.taskdefs.condition.IsFalse

Extends IsFalse condition to check the value of a specified property.

Developed for use with Antelope, migrated to ant-contrib Oct 2003.

Version:
  $Revision: 1.2 $
Author:
  Dale Anson, danson@germane-software.com

Field Summary

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`IsPropertyFalse()`

Method Summary
`boolean` | `eval()`
`void` | `setProperty(java.lang.String name)`

Methods inherited from class org.apache.tools.ant.taskdefs.condition.IsFalse
`setValue`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, log, log, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IsPropertyFalse

    public IsPropertyFalse()

Method Detail

### setProperty

    public void setProperty(java.lang.String name)

### eval

    public boolean eval()
                 throws org.apache.tools.ant.BuildException

  Specified by:
    `eval` in interface `org.apache.tools.ant.taskdefs.condition.Condition`
  Overrides:
    `eval` in class `org.apache.tools.ant.taskdefs.condition.IsFalse`
    `org.apache.tools.ant.BuildException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD